* {
    font-size: 1.2rem;
    box-sizing: border-box;
}

.header {
    z-index: 100;
    position: relative;
}

.container {
    max-width: 1140px;
    margin: auto;
    position: relative;
    padding-top: 2.5rem;
}

.desktop-hidden {
    display: none;
}

.menu {
    display: flex;
    justify-content: center;
    background-color: #fff;
    padding: .25rem;
    margin-top: 0;
    z-index: 99;
}

.menu li {
    padding: 0;
    list-style-type: none;
    text-align: center;
    padding: .125rem 1rem;
    cursor: pointer;
    position: relative;
    background-color: #fff;
}

.mobile-menu-button:hover,
.menu li:hover {
    background-color: #eee;
    line-height: 40px;
}

.menu li::before {
    background-color: inherit;
    height: 50%;
    position: absolute;
    bottom: -20px;
    border-radius: 50%;
    left: 0;
    right: 0;
    color: #fff;
}

.mobile-clouds,
.menu li:last-child::before {
    box-shadow: -89px 0, -178px 0, -267px 0, -356px 0, -445px 0, -534px 0, -623px 0, -712px 0, -801px 0, -890px 0;
}

.menu li:first-child::before {
    box-shadow: 98px 0, 194px 0, 290px 0, 386px 0, 482px 0, 578px 0, 674px 0, 780px 0, 866px 0, 962px 0;
}

.menu li>i {
    display: inline-block;
    margin: 4px auto;
    font-size: 1.2em;
    z-index: 1;
    position: relative;
    text-align: center;
    width: 1.3em;
    vertical-align: middle;
}

.menu li>span {
    display: block;
    margin: 0 4px;
    z-index: 1;
    position: relative;
}

.menu li {
    color: #2858ff;
}

.user-image {
    border-radius: 50%;
    width: 7rem;
    height: 7rem;
    background-color: #2858ff;
    overflow: hidden;
    position: absolute;
    top: -4rem;
    right: 3rem;
    transition: all .2s;
    z-index: 100;
}

.user-image img {
    margin: .25rem 0;
    height: auto;
    width: 100%;
}

.login-info {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: center;
    font-weight: bold;
    color: #0066ff;
}

.score,
.user-name {
    background-image: url(~assets/images/header/username.svg);
    background-size: cover;
    margin-bottom: 0.5rem;
    flex: 0 0 30%;
    min-width: 17rem;
    border-radius: 1rem;
}

.score {
    background-image: url(~assets/images/header/score.svg);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.score>div:first-child {
    padding-right: .5rem;
}

.score>div,
.user-name>div {
    margin: .5rem .75rem;
}

#user-score {
    text-align: center;
    flex: 1 1;
}

.mobile-background {
    display: none;
    height: 4rem;
    background: #fff;
    position: relative;
}

.mobile-menu-button {
    display: none;
    height: 2.5rem;
    width: 2.5rem;
    background: transparent;
    margin: 1rem;
    font-size: 1rem;
    font-weight: normal;
    z-index: 2;
    position: relative;
    border: none;
    border-radius: 6px;
}

.mobile-clouds {
    position: absolute;
    top: calc(100% - 1.85rem);
    right: -1rem;
    width: 90px;
    color: #fff;
    background-color: #fff;
    height: 2.75rem;
    border-radius: 50%;
}

@media only screen and (min-width: 1024px) {
    .menu li::before {
        content: '';
    }
}

@media only screen and (max-width: 1024px) {
    .mobile-background {
        display: block;
        background-color: transparent;
    }
    .user-image {
        right: calc(100% - 8rem);
        width: 5.5rem;
        height: 5.5rem;
        top: -3rem;
    }
    .mobile-clouds {
        visibility: hidden;
    }
    .mobile-menu-button {
        display: inline-block;
        background-color: #eee;
        border: solid 1px #aaa;
    }
    .menu.show {
        display: block;
    }
    .menu {
        display: none;
        transition: all .3s;
        position: fixed;
        width: 100%;
        max-width: 480px;
        background-color: #fff;
        padding: .25rem;
        margin-top: 0;
        border: 1px solid #aaa;
        border-radius: 5px;
        box-shadow: 0 2px 6px rgba(0, 0, 0, .28);
    }
    .menu li {
        text-align: right;
        padding: .125rem 1rem;
        cursor: pointer;
        position: relative;
    }
    .menu li>span {
        display: inline-block;
        margin: 0 12px;
    }
}
